package com.ibiz5.app.demoapi.rest;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.math.BigInteger;
import java.util.HashMap;
import lombok.extern.slf4j.Slf4j;
import com.alibaba.fastjson.JSONObject;
import javax.servlet.ServletRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cglib.beans.BeanCopier;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;
import org.springframework.http.HttpStatus;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.util.StringUtils;
import org.springframework.context.annotation.Lazy;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.security.access.prepost.PostAuthorize;
import org.springframework.validation.annotation.Validated;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import com.ibiz5.app.demoapi.dto.*;
import com.ibiz5.app.demoapi.mapping.*;
import com.ibiz5.app.core.sample.domain.IBZ5Sample0015;
import com.ibiz5.app.core.sample.service.IIBZ5Sample0015Service;
import com.ibiz5.app.core.sample.filter.IBZ5Sample0015SearchContext;
import com.ibiz5.app.util.annotation.VersionCheck;

@Slf4j
@Api(tags = {"项目" })
@RestController("DemoAPI-ibz5sample0015")
@RequestMapping("")
public class IBZ5Sample0015Resource {

    @Autowired
    public IIBZ5Sample0015Service ibz5sample0015Service;

    @Autowired
    @Lazy
    public IBZ5Sample0015Mapping ibz5sample0015Mapping;


}

