package com.ibiz5.app.demoapi.rest;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.math.BigInteger;
import java.util.HashMap;
import lombok.extern.slf4j.Slf4j;
import com.alibaba.fastjson.JSONObject;
import javax.servlet.ServletRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cglib.beans.BeanCopier;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;
import org.springframework.http.HttpStatus;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.util.StringUtils;
import org.springframework.context.annotation.Lazy;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.security.access.prepost.PostAuthorize;
import org.springframework.validation.annotation.Validated;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import com.ibiz5.app.demoapi.dto.*;
import com.ibiz5.app.demoapi.mapping.*;
import com.ibiz5.app.core.sample.domain.IBZ5Supplier;
import com.ibiz5.app.core.sample.service.IIBZ5SupplierService;
import com.ibiz5.app.core.sample.filter.IBZ5SupplierSearchContext;
import com.ibiz5.app.util.annotation.VersionCheck;

@Slf4j
@Api(tags = {"供货商" })
@RestController("DemoAPI-ibz5supplier")
@RequestMapping("")
public class IBZ5SupplierResource {

    @Autowired
    public IIBZ5SupplierService ibz5supplierService;

    @Autowired
    @Lazy
    public IBZ5SupplierMapping ibz5supplierMapping;


}

